#include "IMAGEDATA.h"

IMAGEDATA::IMAGEDATA( )
{
    Width = 0 ;
    Hight = 0 ;
    Image = NULL ;
}

IMAGEDATA::~IMAGEDATA( )
{
    if (Image != NULL) {
        free(Image) ;
    }
}

void IMAGEDATA::setImage(uint8_t *imageData)
{
    if (Image != NULL) {
        free(Image) ;
    }
    Image = imageData ;      
}

bool IMAGEDATA::allocImage(int imageSize)
{
    if (Image != NULL) {
        free(Image) ;
    }
    Image = (uint8_t *)malloc(imageSize) ;

    return Image != NULL ;
}
