/*
 * SDカードからJPEGファイルを読み出す
 * 
 */
#ifndef SDCARD_H
#define SDCARD_H

#include "SD.h"   // ESP32用のSDカードライブラリを使うので""括り
#include <rom/tjpgd.h> //TJpgDec (C)ChaN, 2012
#include <FS.h>
#include "IMAGEDATA.h"

typedef struct {
  const void *fp; /* File pointer for input function */
  BYTE *fbuf;     /* Pointer to the frame buffer for output function */
  UINT wfbuf;     /* Width of the frame buffer [pix] */
} IODEV;

class SDCARD
{
  public:
    void init(); // 初期化
    void sdCardSelect( ) ;
    void fileList( ) ;

    bool LoadImage(char *fileName,IMAGEDATA *imageData) ;

  private:
    void printDirectory(File dir, int numTabs);

} ;
#endif
